[Unit]
Description=Apache NiFi as service
After=network.target

[Service]
Type=forking
LimitNOFILE=50000
User={{ nifi_user }}
Group={{ nifi_group }}
ExecStart=/bin/sh -c '. /opt/java/jdk-21/profile.sh; {{ nifi_config_dirs.home }}/bin/nifi.sh start'
ExecStop={{ nifi_config_dirs.home }}/bin/nifi.sh stop

[Install]
WantedBy=multi-user.target
